use super::schema::measures;

#[derive(Queryable)]
pub struct Measure {
	pub id: i32,
	pub time: chrono::NaiveDateTime,
	pub data_type: String,
	pub value: f32,
	pub unit: String,
	pub option: String,
	pub notes: String,
}

#[derive(Insertable)]
#[table_name = "measures"]
pub struct NewMeasure<'a> {
	pub time: chrono::NaiveDateTime,
	pub data_type: &'a str,
	pub value: f32,
	pub unit: &'a str,
	pub option: &'a str,
	pub notes: &'a str,
}
