extern crate diesel;

use diesel::prelude::*;

use super::establish_connection;
use super::models::{ Measure };
use super::schema::measures::columns::time;
use super::schema::measures::table;

use chrono::{NaiveDate};

use crate::measures::Measurement;

fn measure_list_to_measurement_list(input: &Vec<Measure>) -> Vec<Measurement> {
	let mut measurements = Vec::new();

	for measures in input {
			measurements.push(measures.to_measurement());
	}

	measurements
}

pub fn get_measurement_from_date(date: NaiveDate) -> Vec<Measurement> {
	let db_connection = establish_connection();
	let results = table
		.filter(time.gt(date.and_hms(0, 0, 0)))
		.filter(time.lt(date.and_hms(23, 59, 59)))
		.load::<Measure>(&db_connection);

	match results {
		Ok(val) => measure_list_to_measurement_list(&val),
		Err(_err) => Vec::new(),
	}
}

pub fn get_all_measurement(date: NaiveDate) -> Vec<Measurement> {
	let db_connection = establish_connection();
	let results = table.load::<Measure>(&db_connection);

	match results {
		Ok(val) => measure_list_to_measurement_list(&val),
		Err(_err) => Vec::new(),
	}
}
