extern crate gtk;
extern crate gio;
extern crate cairo;
extern crate glib;

pub mod graphs;
pub mod daily_view;

use gtk::prelude::*;
use gio::prelude::*;

use gtk::{ApplicationWindow, Builder};

fn build_ui(application: &gtk::Application) {
	let glade_src = include_str!("ui/window.ui");
	let builder = Builder::from_string(glade_src);

	let window: ApplicationWindow = builder.get_object("window").expect("Couldn't get window");
	window.set_application(Some(application));

	daily_view::build(&builder);
	window.show_all();
}

pub fn start_gui()
{
	let application = gtk::Application::new(
		Some("com.github.gtk-rs.examples.gtktest"),
		Default::default(),
	).expect("Initialization failed...");

	application.connect_activate(|app| {
		build_ui(app);
	});

	application.run(&[]);
}
